/*
 * $Id: rb_ecore.h 40 2004-07-25 13:14:34Z tilman $
 *
 * Copyright (C) 2004 Tilman Sauerbeck (tilman at code-monkey de)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __RB_ECORE_H
#define __RB_ECORE_H

#define GET_OBJ(obj, type, o) \
	type *(o) = NULL; \
\
	Data_Get_Struct ((obj), type, (o)); \
\
	if (!*(o)) { \
		rb_raise (rb_eException, \
		          "%s destroyed already", \
		          rb_obj_classname ((obj))); \
		return Qnil; \
	}

#define CHECK_BOOL(val) \
	if (TYPE ((val)) != T_TRUE && TYPE ((val)) != T_FALSE) { \
		rb_raise (rb_eTypeError, \
		          "wrong argument type %s (expected true or false)", \
		          rb_obj_classname ((val))); \
		return Qnil; \
	}

#define INSPECT(obj, type) \
	char buf[128]; \
\
	GET_OBJ (obj, type, o); \
\
	snprintf (buf, sizeof (buf), \
	          "#<%s:%p ptr=%p>", rb_obj_classname ((obj)), \
	          (void *) obj, *o); \
\
	return rb_str_new2 (buf);

VALUE mEcore;

#endif
